/**
 * FLL - Level 3
 *
 * Project: FSS Write
 * API Version: 0.7
 * Licenses: lgpl-2.1-or-later
 *
 * Provides the common enumeration structures.
 *
 * This is auto-included and should not need to be explicitly included.
 */
#ifndef _fss_write_common_enumeration_h
#define _fss_write_common_enumeration_h

#ifdef __cplusplus
extern "C" {
#endif

/**
 * The main program parameters.
 */
#ifndef _di_fss_write_parameter_e_
  enum {
    fss_write_parameter_as_e = f_console_standard_parameter_last_e,
    fss_write_parameter_content_e,
    fss_write_parameter_content_end_e,
    fss_write_parameter_content_next_e,
    fss_write_parameter_double_e,
    fss_write_parameter_file_e,
    fss_write_parameter_grave_e,
    fss_write_parameter_ignore_e,
    fss_write_parameter_object_e,
    fss_write_parameter_object_open_e,
    fss_write_parameter_partial_e,
    fss_write_parameter_prepend_e,
    fss_write_parameter_single_e,
    fss_write_parameter_trim_e,
  }; // enum

  #define fss_write_console_parameter_t_initialize \
    { \
      macro_fll_program_console_parameter_standard_initialize, \
      \
      macro_f_console_parameter_t_initialize_3(fss_write_short_as_s,           fss_write_long_as_s,           1, f_console_flag_normal_e), \
      macro_f_console_parameter_t_initialize_3(fss_write_short_content_s,      fss_write_long_content_s,      1, f_console_flag_normal_e), \
      macro_f_console_parameter_t_initialize_3(fss_write_short_content_end_s,  fss_write_long_content_end_s,  0, f_console_flag_normal_e), \
      macro_f_console_parameter_t_initialize_3(fss_write_short_content_next_s, fss_write_long_content_next_s, 0, f_console_flag_normal_e), \
      macro_f_console_parameter_t_initialize_3(fss_write_short_double_s,       fss_write_long_double_s,       0, f_console_flag_normal_e), \
      macro_f_console_parameter_t_initialize_3(fss_write_short_file_s,         fss_write_long_file_s,         1, f_console_flag_normal_e), \
      macro_f_console_parameter_t_initialize_3(fss_write_short_grave_s,        fss_write_long_grave_s,        0, f_console_flag_normal_e), \
      macro_f_console_parameter_t_initialize_3(fss_write_short_ignore_s,       fss_write_long_ignore_s,       2, f_console_flag_normal_e), \
      macro_f_console_parameter_t_initialize_3(fss_write_short_object_s,       fss_write_long_object_s,       1, f_console_flag_normal_e), \
      macro_f_console_parameter_t_initialize_3(fss_write_short_object_open_s,  fss_write_long_object_open_s,  0, f_console_flag_normal_e), \
      macro_f_console_parameter_t_initialize_3(fss_write_short_partial_s,      fss_write_long_partial_s,      0, f_console_flag_normal_e), \
      macro_f_console_parameter_t_initialize_3(fss_write_short_prepend_s,      fss_write_long_prepend_s,      1, f_console_flag_normal_e), \
      macro_f_console_parameter_t_initialize_3(fss_write_short_single_s,       fss_write_long_single_s,       0, f_console_flag_normal_e), \
      macro_f_console_parameter_t_initialize_3(fss_write_short_trim_s,         fss_write_long_trim_s,         0, f_console_flag_normal_e), \
    }

  #define fss_write_parameter_total_d (f_console_parameter_state_type_total_d + 14)
#endif // _di_fss_write_parameter_e_

#ifdef __cplusplus
} // extern "C"
#endif

#endif // _fss_write_common_enumeration_h
